from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from Products.Archetypes.Registry import registerWidget
from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import *


class LiveSearchWidget(ReferenceBrowserWidget):
    """ LiveSearchWidget """

    _properties = ReferenceBrowserWidget._properties.copy()
    _properties.update({
        'macro' : "livesearch_widget",
        #'helper_js': ('livesearchwidget.js','referencebrowser.js',),
    })
    
    security = ClassSecurityInfo()


InitializeClass(LiveSearchWidget)

registerWidget(LiveSearchWidget,
               title='LiveSearchWidget',
               description="Renders a reference widget + input fields",
               used_for=('Products.Archetypes.Field.ReferenceField',)
)
